stages:
    - test

image: php:7.4-cli-alpine

cache:
    key: ${CI_COMMIT_REF_SLUG}
    paths:
        - vendor/

before_script:
    - apk update && apk add --no-cache $PHPIZE_DEPS && apk add libzip-dev zip
    - docker-php-ext-install zip
    - curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer && composer install

phpstan:
    stage: test
    script:
        - ./vendor/bin/phpstan analyse --memory-limit=-1 -l 8 src
        - ./vendor/bin/phpstan analyse tests

test-unit:
    stage: test
    script:
        - ./vendor/bin/phpunit tests
